summaryrefslogtreecommitdiff
path: root/tests/common
diff options
context:
space:
mode:
Diffstat (limited to 'tests/common')
-rw-r--r--tests/common5
1 files changed, 3 insertions, 2 deletions
diff --git a/tests/common b/tests/common
index 67d15588..45713506 100644
--- a/tests/common
+++ b/tests/common
@@ -97,8 +97,9 @@ extract_image()
if ! [ -f $image.restored ]; then
echo "restoring image $(basename $image)" >> $RESULTS
- $TOP/btrfs-image -r $image $image.restored || \
- _fail "failed to restore image $image" >&2
+ $TOP/btrfs-image -r $image $image.restored \
+ &>> $RESULTS \
+ || _fail "failed to restore image $image" >&2
fi
[ -f "$cleanme" ] && rm -f "$cleanme"